@charset "utf-8";
/* common color */ :root {
  --grey-color: #505050;
  --light-grey-color: #888888;
  --brown-color: #724524;
  --yellowish-brown-color: #948a50;
  --skin-color: #f4e8d0;
}
/* common font */
#kl-sp10-pn h2 {
  font-size: min(7.5vw, 40px);
  padding: 1rem 0;
}
#kl-sp10-pn h3 {
  font-size: min(5.5vw, 30px);
  font-weight: normal;
}
#kl-sp10-pn h3 span {
  color: var(--yellowish-brown-color);
}
#kl-sp10-pn h4 {
  font-size: min(4.5vw, 22px);
  font-weight: 500;
}
#kl-sp10-pn p {
  font-size: min(4.5vw, 20px);
}
h2, h3, h4, p {
  text-align: center;
}
h2, h3, h4, p {
  color: var(--grey-color);
}
#kl-sp10-pn .brown-btn.cmp-button {
  border: solid 2px #ffffff;
  border-radius: 19px;
  background-color: #ffffff;
  color: var(--grey-color);
  font-size: min(4vw, 18px);
  font-family: "a-otf-ud-shin-maru-go-pr6n", sans-serif;
  font-weight: 800;
  font-style: normal;
  line-height: 1;
  min-width: auto;
  min-height: auto;
  transition: .3s ease-out;
}
#kl-sp10-pn .brown-btn.cmp-button:hover {
  border: solid 2px var(--grey-color);
  background-color: var(--grey-color);
  color: #ffffff;
}
#kl-sp10-pn .brown-btn .cmp-button__text {
  padding: 0 40px;
}
#kl-sp10-pn .cmp-swipe-carousel.swiper-horizontal .swiper-pagination-bullet, .cmp-swipe-vertical-carousel .swiper-pagination-bullet {
  border-color: #505050;
  border-width: 2px;
  width: 15px;
  height: 15px;
}
#kl-sp10-pn .cmp-swipe-carousel.swiper-horizontal .swiper-pagination-bullet-active, .cmp-swipe-vertical-carousel .swiper-pagination-bullet-active {
  background-color: #505050;
}
/*common-layout*/
[id*="layout"][id*="row"] > .aem-Grid {
  display: flex;
}
[id$="inner"] {
  width: 90%;
  max-width: 1000px;
  margin: 0 auto;
}
#features [id$="title"] {
  margin-bottom: 30px;
}
#features [id$="title"] h3 span {
  font-size: 1.5em;
  padding-right: .2em;
}
#lineup, #features-arrange1, #features-emoji-frame, #features-app, #features-arrange2, #footer-bonus {
  padding: min(15vw, 100px) 0px;
}
#features-photo-gallery {
  padding: min(15vw, 100px) 0px min(30vw, 200px);
}
/*lineup*/
#lineup {
  background-color: var(--skin-color);
}
#lineup .aem-Grid:has(> .single-product-panel) {
  width: 50%;
  margin: 0 auto;
}
/*bonus*/
#bonus {
  background-color: var(--skin-color);
}
[id$="bonus-lead"] h2 {
  font-weight: bold;
}
[id$="bonus-lead"] .date {
  color: var(--brown-color);
}
[id$="bonus-nameland"] {
  position: relative;
}
[id$="bonus-nameland"]::after {
  content: "";
  position: absolute;
  top: 50%;
  left: -17%;
  transform: translateY(-50%);
  display: block;
  width: 70px;
  aspect-ratio: 1;
  background: no-repeat url(/content/dam/casio/global/label-writer/special/kl-sp10-pn/img/icon-plus.svg);
  background-size: cover;
}
#bonus-image {
  margin-bottom: min(26vw, 200px);
}
[id$="bonus-image__layout-row"] {
  margin-bottom: 2rem;
}
[id$="bonus-image__layout-row"] > .aem-Grid {
  align-items: center;
}
[id$="bonus-image__layout-row"] > .aem-Grid > .container:first-child {
  width: 40%;
}
[id$="bonus-image__layout-row"] > .aem-Grid > .container:nth-child(2) {
  width: 50%;
  margin-left: 10%;
}
#bonus-tape__layout-row > .aem-Grid {
  align-items: center;
}
#bonus-tape__layout-row > .aem-Grid > .container:first-child {
  width: calc(55% - 8%);
  margin-right: 8%;
}
#bonus-tape__layout-row > .aem-Grid > .container:nth-child(2) {
  width: 45%;
  transform: rotate(5deg);
}
#bonus-tape__layout-row .caption {
  margin-bottom: 1rem;
  line-height: 1.6;
  font-weight: bold;
}
#bonus-tape__layout-row .caption span {
  position: relative;
}
#bonus-tape__layout-row .caption span::before {
  position: absolute;
  content: "";
  right: 90%;
  bottom: 90%;
  width: min(24vw, 150px);
  aspect-ratio: 1;
  background-image: url(/content/dam/casio/global/label-writer/special/kl-sp10-pn/img/icon-bonus.png);
  background-size: contain;
  background-repeat: no-repeat;
}
[id$="bonus-btn"] {
  text-align: center;
}
#kl-sp10-pn .note {
  margin-top: 2rem;
  font-size: min(3.5vw, 12px);
}
/*features*/
.features-title {
  border-bottom: solid 2px #c7c7c7;
}
#features3-layout-row > .aem-Grid {
  display: flex;
  align-items: center;
}
#features3-layout-row > .aem-Grid > .container {
  width: 50%;
}
/*features-arrange1*/
#arrange1-image {
  margin: 0 auto min(10vw, 50px);
}
/*features-emoji-frame*/
#features-emoji-frame {
  background-color: var(--skin-color);
}
#features-emoji-frame h3 span {
  color: var(--brown-color);
}
#features-emoji-frame h4 {
  color: var(--brown-color);
}
#features-emoji, #features-frame {
  margin-bottom: 100px;
}
/*features-arrange2*/
#arrange2-image {
  max-width: 500px;
  margin: 0 auto min(10vw, 50px);
}
/*features-app*/
#features-app {
  background-color: var(--skin-color);
}
#features-app h3 span {
  color: var(--brown-color);
}
#features-app__inner {
  max-width: 1300px;
}
#features-app__layout-row > .aem-Grid {
  flex-wrap: wrap;
  align-items: flex-end;
  justify-content: center;
}
#features-app__layout-row > .aem-Grid > .container:first-child {
  width: calc(60% - 40px);
  margin-right: 40px;
  min-width: 650px;
}
#features-app__layout-row > .aem-Grid > .container:nth-child(2) {
  width: 40%;
  min-width: 420px;
  margin-top: 30px;
}
#kl-sp10-pn .app-desc-smartphone {
  font-size: 16px;
  color: var(--brown-color);
  font-weight: bold;
  text-align: left;
  width: fit-content;
  max-width: 100%;
  margin: 0 auto;
}
#features-app-step__layout-row > .aem-Grid {
  align-items: flex-end;
}
#features-app-step__layout-row > .aem-Grid > .container {
  position: relative;
  margin-right: 10px;
}
#features-app-step__layout-row > .aem-Grid > .container:last-child {
  margin-right: 0px;
}
#features-app-step__layout-row > .aem-Grid > .container::before {
  content: "";
  position: absolute;
  bottom: calc((100% - 32px) / 2);
  transform: translateY(50%);
  right: -45px;
  width: 70px;
  aspect-ratio: 1;
  background: no-repeat url(/content/dam/casio/global/label-writer/special/kl-sp10-pn/img/icon-arrow.svg);
  background-size: contain;
  background-position: center;
  z-index: 1;
}
#features-app-step__layout-row > .aem-Grid > .container:last-child::before {
  content: none;
}
#app-label-connection {
  border-radius: 20px;
  background-color: #ffffff;
  padding: 20px;
  aspect-ratio: 1.1;
  display: flex;
  align-items: center;
}
#app-label-connection h4 {
  text-align: left;
  width: fit-content;
  max-width: 100%;
  margin: 0 auto;
}
/*features-photo-gallery*/
#features-photo-gallery-image {
  max-width: 600px;
  margin: 0 auto;
}
/*footer-bonus*/
#footer-bonus {
  background-color: var(--skin-color);
}
@media (max-width: 767px) {
  /*common font*/
  #kl-sp10-pn #features h3 {
    text-align: left;
    text-indent: -2.2em;
    padding-left: 2.2em;
  }
  /*common layout*/
  [id$="bonus-image__layout-row"] > .aem-Grid, #bonus-tape__layout-row > .aem-Grid, #features-app__layout-row > .aem-Grid {
    flex-direction: column;
  }
  [id$="bonus-image__layout-row"] > .aem-Grid > .container, #features-app__layout-row > .aem-Grid > .container {
    width: 100% !important;
    margin: 0 0 40px 0 !important;
  }
  #kl-sp10-pn .cmp-swipe-carousel.swiper-horizontal .swiper-pagination-bullet, .cmp-swipe-vertical-carousel .swiper-pagination-bullet {
    width: 12px;
    height: 12px;
  }
  /*bonus*/
  #bonus {
    background-position: top 31% left 2%, top 50% right 5%;
  }
  [id$="bonus-nameland"]::after {
    top: -7%;
    left: 50%;
    transform: translateX(-50%);
    width: 12%;
  }
  #bonus-tape__layout-row > .aem-Grid {
    align-items: center;
  }
  #bonus-tape__layout-row > .aem-Grid > .container:first-child {
    width: 100%;
    margin-right: 0;
    margin-bottom: 30px;
  }
  #bonus-tape__layout-row > .aem-Grid > .container:nth-child(2) {
    width: 100%;
    transform: rotate(0deg);
  }
  #features-app__inner {
    max-width: 1500px;
  }
  #features-app__layout-row > .aem-Grid > .container:first-child, #features-app__layout-row > .aem-Grid > .container:nth-child(2) {
    min-width: auto;
  }
  #features-app-step__layout-row > .aem-Grid {
    flex-wrap: wrap;
  }
  #features-app-step__layout-row > .aem-Grid > .container {
    width: calc(50% - 5px);
    margin: 0;
    margin-bottom: 20px;
  }
  #features-app-step__layout-row > .aem-Grid > .container:first-child {
    margin-right: 10px;
  }
  #features-app-step__layout-row > .aem-Grid > .container:nth-child(3) {
    margin-bottom: 0px;
  }
  #features-app-step__layout-row > .aem-Grid > .container::before {
    content: none;
  }
  #kl-sp10-pn .app-desc-smartphone {
    font-size: min(3.6vw, 14px);
  }
  #features-emoji, #features-frame {
    margin-bottom: 10vw;
  }
  #features3-layout-row > .aem-Grid {
    display: flex;
    align-items: center;
    flex-direction: column;
  }
  #features3-layout-row > .aem-Grid > .container {
    width: 100%;
  }
  #features3-layout-row > .aem-Grid > .container:nth-child(1) {
    margin-bottom: 50px;
  }
}